      module Vcgraphs
      use kind_spec

C...Created by Pacific-Sierra Research VAST-90 2.06G2  12:29:44   5/18/01
      use Vparam, only: nprofm, nions, npdim, nspray, nspectm,
     1                  ntheta, ngdim
      integer   initlh, nraypts
      integer, dimension(npdim) :: jjslofa
      integer, dimension(ngdim) :: jslofas, nurefls, keiks, jpes, jpis,
     1   istarts, iprmt5, jhlfs, isimpl, isimpl0
      integer   ngr, nps, nspie, kgraph, kprof, newgra, jksym, lintyp,
     1   nxvarb, nyvarb, kwfr
      real(kind=dp), dimension(nprofm) :: sne, ste, sqr
      real(kind=dp), dimension(nprofm,9) :: spw
      real(kind=dp), dimension(nprofm) :: sxh, sqte
      real(kind=dp), dimension(nprofm,nions) :: sni, sti
      real(kind=dp), dimension(nions) :: satm, sazi, sconc, stic
      real(kind=dp)  sdeqs, spwer, spwmax, srtor, srplas,
     1 sdenc, stec, sqc, sqa, sbaxis, scurr, sfreq
      real(kind=dp), dimension(ngdim) :: skth, skphi, skpsi, sxx
      real(kind=dp)  sxpage, sypage, slenx, sleny, sdelx,
     1 sfirtx, sdely, sfirty, symax, symin
      real(kind=dp), dimension(npdim)::seikon,spsi,sxu,szu,skp,skpar,
     1   spower, sdpwri, sphi, stheta, spol, sdkpar, sztpol, sbtot, sene
     2   , salphac, salphal, sjslofa, serrors, spkpsi, sakpsi, sakth,
     3   swkve
      complex, dimension(npdim) :: scepx, scepy, scepz
C      equivalence (stabx, seikon)
      end module Vcgraphs
